/*=================================================================
 *  sysbfflt.c: BF filters for all angles of interest
 *=================================================================*/

#include <xdc/std.h>
#include <ti/mas/types/types.h>

#include "sysbfflt.h"

/* SYS_BF_ANGLE_P0 */
Fract sysBfFltP0[][SYS_BF_FILTER_LENGTH] = {
  {     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0, 32767,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0},
  {     4,   -20,    50,   -99,   170,  -273,   423,  -658,  1088, -2242, 32453,  2628, -1190,   706,  -452,   292,  -183,   108,   -56,    24,    -6,     0,     0,     0},
  {   -30,   103,  -230,   426,  -710,  1120, -1731,  2732, -4766, 12228, 27878, -6328,  3324, -2054,  1326,  -851,   524,  -297,   145,   -53,     8,     0,     0,     0},
  {     4,   -20,    50,   -99,   170,  -273,   423,  -658,  1088, -2242, 32453,  2628, -1190,   706,  -452,   292,  -183,   108,   -56,    24,    -6,     0,     0,     0},
  {     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0, 32767,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0},
  {     0,     0,    -6,    24,   -56,   108,  -183,   292,  -452,   706, -1190,  2628, 32453, -2242,  1088,  -658,   423,  -273,   170,   -99,    50,   -20,     4,     0},
  {     0,     0,     8,   -53,   145,  -297,   524,  -851,  1326, -2054,  3324, -6328, 27878, 12228, -4766,  2732, -1731,  1120,  -710,   426,  -230,   103,   -30,     0},
  {     0,     0,    -6,    24,   -56,   108,  -183,   292,  -452,   706, -1190,  2628, 32453, -2242,  1088,  -658,   423,  -273,   170,   -99,    50,   -20,     4,     0}
};

/* SYS_BF_ANGLE_P30 */
Fract sysBfFltP30[][SYS_BF_FILTER_LENGTH] = {
  {     8,   -54,   152,  -312,   554,  -902,  1407, -2178,  3513, -6613, 26596, 14027, -5285,  3007, -1902,  1231,  -782,   470,  -255,   116,   -35,     0,     0,     0},
  {   -25,    88,  -199,   371,  -621,   981, -1517,  2388, -4136, 10250, 29149, -5866,  3041, -1872,  1208,  -776,   479,  -273,   134,   -50,     8,     0,     0,     0},
  {   -11,    42,  -100,   189,  -319,   507,  -784,  1228, -2086,  4748, 31832, -3605,  1788, -1087,   700,  -451,   280,  -162,    82,   -32,     6,     0,     0,     0},
  {     0,   -34,   113,  -250,   461,  -767,  1209, -1868,  2952, -5179, 13643, 26879, -6563,  3478, -2155,  1392,  -893,   548,  -310,   150,   -54,     8,     0,     0},
  {     0,     0,   -35,   116,  -255,   470,  -782,  1231, -1902,  3007, -5285, 14027, 26596, -6613,  3513, -2178,  1407,  -902,   554,  -312,   152,   -54,     8,     0},
  {     0,     0,     8,   -50,   134,  -273,   479,  -776,  1208, -1872,  3041, -5866, 29149, 10250, -4136,  2388, -1517,   981,  -621,   371,  -199,    88,   -25,     0},
  {     0,     0,     6,   -32,    82,  -162,   280,  -451,   700, -1087,  1788, -3605, 31832,  4748, -2086,  1228,  -784,   507,  -319,   189,  -100,    42,   -11,     0},
  {     0,     8,   -54,   150,  -310,   548,  -893,  1392, -2155,  3478, -6563, 26879, 13643, -5179,  2952, -1868,  1209,  -767,   461,  -250,   113,   -34,     0,     0}
};

/* SYS_BF_ANGLE_P45 */
Fract sysBfFltP45[][SYS_BF_FILTER_LENGTH] = {
  {     4,   -20,    50,   -99,   170,  -273,   423,  -658,  1088, -2242, 32453,  2628, -1190,   706,  -452,   292,  -183,   108,   -56,    24,    -6,     0,     0,     0},
  {   -30,   103,  -230,   426,  -710,  1120, -1731,  2732, -4766, 12228, 27878, -6328,  3324, -2054,  1326,  -851,   524,  -297,   145,   -53,     8,     0,     0,     0},
  {     4,   -20,    50,   -99,   170,  -273,   423,  -658,  1088, -2242, 32453,  2628, -1190,   706,  -452,   292,  -183,   108,   -56,    24,    -6,     0,     0,     0},
  {     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0, 32767,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0},
  {     0,     0,    -6,    24,   -56,   108,  -183,   292,  -452,   706, -1190,  2628, 32453, -2242,  1088,  -658,   423,  -273,   170,   -99,    50,   -20,     4,     0},
  {     0,     0,     8,   -53,   145,  -297,   524,  -851,  1326, -2054,  3324, -6328, 27878, 12228, -4766,  2732, -1731,  1120,  -710,   426,  -230,   103,   -30,     0},
  {     0,     0,    -6,    24,   -56,   108,  -183,   292,  -452,   706, -1190,  2628, 32453, -2242,  1088,  -658,   423,  -273,   170,   -99,    50,   -20,     4,     0},
  {     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0, 32767,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0}
};

/* SYS_BF_ANGLE_P60 */
Fract sysBfFltP60[][SYS_BF_FILTER_LENGTH] = {
  {   -11,    42,  -100,   189,  -319,   507,  -784,  1228, -2086,  4748, 31832, -3605,  1788, -1087,   700,  -451,   280,  -162,    82,   -32,     6,     0,     0,     0},
  {   -25,    88,  -199,   371,  -621,   981, -1517,  2388, -4136, 10250, 29149, -5866,  3041, -1872,  1208,  -776,   479,  -273,   134,   -50,     8,     0,     0,     0},
  {     8,   -54,   152,  -312,   554,  -902,  1407, -2178,  3513, -6613, 26596, 14027, -5285,  3007, -1902,  1231,  -782,   470,  -255,   116,   -35,     0,     0,     0},
  {     0,     8,   -54,   150,  -310,   548,  -893,  1392, -2155,  3478, -6563, 26879, 13643, -5179,  2952, -1868,  1209,  -767,   461,  -250,   113,   -34,     0,     0},
  {     0,     0,     6,   -32,    82,  -162,   280,  -451,   700, -1087,  1788, -3605, 31832,  4748, -2086,  1228,  -784,   507,  -319,   189,  -100,    42,   -11,     0},
  {     0,     0,     8,   -50,   134,  -273,   479,  -776,  1208, -1872,  3041, -5866, 29149, 10250, -4136,  2388, -1517,   981,  -621,   371,  -199,    88,   -25,     0},
  {     0,     0,   -35,   116,  -255,   470,  -782,  1231, -1902,  3007, -5285, 14027, 26596, -6613,  3513, -2178,  1407,  -902,   554,  -312,   152,   -54,     8,     0},
  {     0,   -34,   113,  -250,   461,  -767,  1209, -1868,  2952, -5179, 13643, 26879, -6563,  3478, -2155,  1392,  -893,   548,  -310,   150,   -54,     8,     0,     0}
};

/* SYS_BF_ANGLE_P90 */
Fract sysBfFltP90[][SYS_BF_FILTER_LENGTH] = {
  {   -30,   103,  -230,   426,  -710,  1120, -1731,  2732, -4766, 12228, 27878, -6328,  3324, -2054,  1326,  -851,   524,  -297,   145,   -53,     8,     0,     0,     0},
  {     4,   -20,    50,   -99,   170,  -273,   423,  -658,  1088, -2242, 32453,  2628, -1190,   706,  -452,   292,  -183,   108,   -56,    24,    -6,     0,     0,     0},
  {     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0, 32767,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0},
  {     0,     0,    -6,    24,   -56,   108,  -183,   292,  -452,   706, -1190,  2628, 32453, -2242,  1088,  -658,   423,  -273,   170,   -99,    50,   -20,     4,     0},
  {     0,     0,     8,   -53,   145,  -297,   524,  -851,  1326, -2054,  3324, -6328, 27878, 12228, -4766,  2732, -1731,  1120,  -710,   426,  -230,   103,   -30,     0},
  {     0,     0,    -6,    24,   -56,   108,  -183,   292,  -452,   706, -1190,  2628, 32453, -2242,  1088,  -658,   423,  -273,   170,   -99,    50,   -20,     4,     0},
  {     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0, 32767,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0},
  {     4,   -20,    50,   -99,   170,  -273,   423,  -658,  1088, -2242, 32453,  2628, -1190,   706,  -452,   292,  -183,   108,   -56,    24,    -6,     0,     0,     0}
};

/* SYS_BF_ANGLE_P120 */
Fract sysBfFltP120[][SYS_BF_FILTER_LENGTH] = {
  {   -11,    42,  -100,   189,  -319,   507,  -784,  1228, -2086,  4748, 31832, -3605,  1788, -1087,   700,  -451,   280,  -162,    82,   -32,     6,     0,     0,     0},
  {     0,   -34,   113,  -250,   461,  -767,  1209, -1868,  2952, -5179, 13643, 26879, -6563,  3478, -2155,  1392,  -893,   548,  -310,   150,   -54,     8,     0,     0},
  {     0,     0,   -35,   116,  -255,   470,  -782,  1231, -1902,  3007, -5285, 14027, 26596, -6613,  3513, -2178,  1407,  -902,   554,  -312,   152,   -54,     8,     0},
  {     0,     0,     8,   -50,   134,  -273,   479,  -776,  1208, -1872,  3041, -5866, 29149, 10250, -4136,  2388, -1517,   981,  -621,   371,  -199,    88,   -25,     0},
  {     0,     0,     6,   -32,    82,  -162,   280,  -451,   700, -1087,  1788, -3605, 31832,  4748, -2086,  1228,  -784,   507,  -319,   189,  -100,    42,   -11,     0},
  {     0,     8,   -54,   150,  -310,   548,  -893,  1392, -2155,  3478, -6563, 26879, 13643, -5179,  2952, -1868,  1209,  -767,   461,  -250,   113,   -34,     0,     0},
  {     8,   -54,   152,  -312,   554,  -902,  1407, -2178,  3513, -6613, 26596, 14027, -5285,  3007, -1902,  1231,  -782,   470,  -255,   116,   -35,     0,     0,     0},
  {   -25,    88,  -199,   371,  -621,   981, -1517,  2388, -4136, 10250, 29149, -5866,  3041, -1872,  1208,  -776,   479,  -273,   134,   -50,     8,     0,     0,     0}
};

/* SYS_BF_ANGLE_P135 */
Fract sysBfFltP135[][SYS_BF_FILTER_LENGTH] = {
  {     4,   -20,    50,   -99,   170,  -273,   423,  -658,  1088, -2242, 32453,  2628, -1190,   706,  -452,   292,  -183,   108,   -56,    24,    -6,     0,     0,     0},
  {     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0, 32767,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0},
  {     0,     0,    -6,    24,   -56,   108,  -183,   292,  -452,   706, -1190,  2628, 32453, -2242,  1088,  -658,   423,  -273,   170,   -99,    50,   -20,     4,     0},
  {     0,     0,     8,   -53,   145,  -297,   524,  -851,  1326, -2054,  3324, -6328, 27878, 12228, -4766,  2732, -1731,  1120,  -710,   426,  -230,   103,   -30,     0},
  {     0,     0,    -6,    24,   -56,   108,  -183,   292,  -452,   706, -1190,  2628, 32453, -2242,  1088,  -658,   423,  -273,   170,   -99,    50,   -20,     4,     0},
  {     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0, 32767,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0},
  {     4,   -20,    50,   -99,   170,  -273,   423,  -658,  1088, -2242, 32453,  2628, -1190,   706,  -452,   292,  -183,   108,   -56,    24,    -6,     0,     0,     0},
  {   -30,   103,  -230,   426,  -710,  1120, -1731,  2732, -4766, 12228, 27878, -6328,  3324, -2054,  1326,  -851,   524,  -297,   145,   -53,     8,     0,     0,     0}
};

/* SYS_BF_ANGLE_P150 */
Fract sysBfFltP150[][SYS_BF_FILTER_LENGTH] = {
  {     8,   -54,   152,  -312,   554,  -902,  1407, -2178,  3513, -6613, 26596, 14027, -5285,  3007, -1902,  1231,  -782,   470,  -255,   116,   -35,     0,     0,     0},
  {     0,     8,   -54,   150,  -310,   548,  -893,  1392, -2155,  3478, -6563, 26879, 13643, -5179,  2952, -1868,  1209,  -767,   461,  -250,   113,   -34,     0,     0},
  {     0,     0,     6,   -32,    82,  -162,   280,  -451,   700, -1087,  1788, -3605, 31832,  4748, -2086,  1228,  -784,   507,  -319,   189,  -100,    42,   -11,     0},
  {     0,     0,     8,   -50,   134,  -273,   479,  -776,  1208, -1872,  3041, -5866, 29149, 10250, -4136,  2388, -1517,   981,  -621,   371,  -199,    88,   -25,     0},
  {     0,     0,   -35,   116,  -255,   470,  -782,  1231, -1902,  3007, -5285, 14027, 26596, -6613,  3513, -2178,  1407,  -902,   554,  -312,   152,   -54,     8,     0},
  {     0,   -34,   113,  -250,   461,  -767,  1209, -1868,  2952, -5179, 13643, 26879, -6563,  3478, -2155,  1392,  -893,   548,  -310,   150,   -54,     8,     0,     0},
  {   -11,    42,  -100,   189,  -319,   507,  -784,  1228, -2086,  4748, 31832, -3605,  1788, -1087,   700,  -451,   280,  -162,    82,   -32,     6,     0,     0,     0},
  {   -25,    88,  -199,   371,  -621,   981, -1517,  2388, -4136, 10250, 29149, -5866,  3041, -1872,  1208,  -776,   479,  -273,   134,   -50,     8,     0,     0,     0}
};

/* SYS_BF_ANGLE_P180 */
Fract sysBfFltP180[][SYS_BF_FILTER_LENGTH] = {
  {     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0, 32767,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0},
  {     0,     0,    -6,    24,   -56,   108,  -183,   292,  -452,   706, -1190,  2628, 32453, -2242,  1088,  -658,   423,  -273,   170,   -99,    50,   -20,     4,     0},
  {     0,     0,     8,   -53,   145,  -297,   524,  -851,  1326, -2054,  3324, -6328, 27878, 12228, -4766,  2732, -1731,  1120,  -710,   426,  -230,   103,   -30,     0},
  {     0,     0,    -6,    24,   -56,   108,  -183,   292,  -452,   706, -1190,  2628, 32453, -2242,  1088,  -658,   423,  -273,   170,   -99,    50,   -20,     4,     0},
  {     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0, 32767,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0},
  {     4,   -20,    50,   -99,   170,  -273,   423,  -658,  1088, -2242, 32453,  2628, -1190,   706,  -452,   292,  -183,   108,   -56,    24,    -6,     0,     0,     0},
  {   -30,   103,  -230,   426,  -710,  1120, -1731,  2732, -4766, 12228, 27878, -6328,  3324, -2054,  1326,  -851,   524,  -297,   145,   -53,     8,     0,     0,     0},
  {     4,   -20,    50,   -99,   170,  -273,   423,  -658,  1088, -2242, 32453,  2628, -1190,   706,  -452,   292,  -183,   108,   -56,    24,    -6,     0,     0,     0}
};

/* SYS_BF_ANGLE_M150 */
Fract sysBfFltM150[][SYS_BF_FILTER_LENGTH] = {
  {     0,     0,   -35,   116,  -255,   470,  -782,  1231, -1902,  3007, -5285, 14027, 26596, -6613,  3513, -2178,  1407,  -902,   554,  -312,   152,   -54,     8,     0},
  {     0,     0,     8,   -50,   134,  -273,   479,  -776,  1208, -1872,  3041, -5866, 29149, 10250, -4136,  2388, -1517,   981,  -621,   371,  -199,    88,   -25,     0},
  {     0,     0,     6,   -32,    82,  -162,   280,  -451,   700, -1087,  1788, -3605, 31832,  4748, -2086,  1228,  -784,   507,  -319,   189,  -100,    42,   -11,     0},
  {     0,     8,   -54,   150,  -310,   548,  -893,  1392, -2155,  3478, -6563, 26879, 13643, -5179,  2952, -1868,  1209,  -767,   461,  -250,   113,   -34,     0,     0},
  {     8,   -54,   152,  -312,   554,  -902,  1407, -2178,  3513, -6613, 26596, 14027, -5285,  3007, -1902,  1231,  -782,   470,  -255,   116,   -35,     0,     0,     0},
  {   -25,    88,  -199,   371,  -621,   981, -1517,  2388, -4136, 10250, 29149, -5866,  3041, -1872,  1208,  -776,   479,  -273,   134,   -50,     8,     0,     0,     0},
  {   -11,    42,  -100,   189,  -319,   507,  -784,  1228, -2086,  4748, 31832, -3605,  1788, -1087,   700,  -451,   280,  -162,    82,   -32,     6,     0,     0,     0},
  {     0,   -34,   113,  -250,   461,  -767,  1209, -1868,  2952, -5179, 13643, 26879, -6563,  3478, -2155,  1392,  -893,   548,  -310,   150,   -54,     8,     0,     0}
};

/* SYS_BF_ANGLE_M135 */
Fract sysBfFltM135[][SYS_BF_FILTER_LENGTH] = {
  {     0,     0,    -6,    24,   -56,   108,  -183,   292,  -452,   706, -1190,  2628, 32453, -2242,  1088,  -658,   423,  -273,   170,   -99,    50,   -20,     4,     0},
  {     0,     0,     8,   -53,   145,  -297,   524,  -851,  1326, -2054,  3324, -6328, 27878, 12228, -4766,  2732, -1731,  1120,  -710,   426,  -230,   103,   -30,     0},
  {     0,     0,    -6,    24,   -56,   108,  -183,   292,  -452,   706, -1190,  2628, 32453, -2242,  1088,  -658,   423,  -273,   170,   -99,    50,   -20,     4,     0},
  {     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0, 32767,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0},
  {     4,   -20,    50,   -99,   170,  -273,   423,  -658,  1088, -2242, 32453,  2628, -1190,   706,  -452,   292,  -183,   108,   -56,    24,    -6,     0,     0,     0},
  {   -30,   103,  -230,   426,  -710,  1120, -1731,  2732, -4766, 12228, 27878, -6328,  3324, -2054,  1326,  -851,   524,  -297,   145,   -53,     8,     0,     0,     0},
  {     4,   -20,    50,   -99,   170,  -273,   423,  -658,  1088, -2242, 32453,  2628, -1190,   706,  -452,   292,  -183,   108,   -56,    24,    -6,     0,     0,     0},
  {     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0, 32767,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0}
};

/* SYS_BF_ANGLE_M120 */
Fract sysBfFltM120[][SYS_BF_FILTER_LENGTH] = {
  {     0,     0,     6,   -32,    82,  -162,   280,  -451,   700, -1087,  1788, -3605, 31832,  4748, -2086,  1228,  -784,   507,  -319,   189,  -100,    42,   -11,     0},
  {     0,     0,     8,   -50,   134,  -273,   479,  -776,  1208, -1872,  3041, -5866, 29149, 10250, -4136,  2388, -1517,   981,  -621,   371,  -199,    88,   -25,     0},
  {     0,     0,   -35,   116,  -255,   470,  -782,  1231, -1902,  3007, -5285, 14027, 26596, -6613,  3513, -2178,  1407,  -902,   554,  -312,   152,   -54,     8,     0},
  {     0,   -34,   113,  -250,   461,  -767,  1209, -1868,  2952, -5179, 13643, 26879, -6563,  3478, -2155,  1392,  -893,   548,  -310,   150,   -54,     8,     0,     0},
  {   -11,    42,  -100,   189,  -319,   507,  -784,  1228, -2086,  4748, 31832, -3605,  1788, -1087,   700,  -451,   280,  -162,    82,   -32,     6,     0,     0,     0},
  {   -25,    88,  -199,   371,  -621,   981, -1517,  2388, -4136, 10250, 29149, -5866,  3041, -1872,  1208,  -776,   479,  -273,   134,   -50,     8,     0,     0,     0},
  {     8,   -54,   152,  -312,   554,  -902,  1407, -2178,  3513, -6613, 26596, 14027, -5285,  3007, -1902,  1231,  -782,   470,  -255,   116,   -35,     0,     0,     0},
  {     0,     8,   -54,   150,  -310,   548,  -893,  1392, -2155,  3478, -6563, 26879, 13643, -5179,  2952, -1868,  1209,  -767,   461,  -250,   113,   -34,     0,     0}
};

/* SYS_BF_ANGLE_M90 */
Fract sysBfFltM90[][SYS_BF_FILTER_LENGTH] = {
  {     0,     0,     8,   -53,   145,  -297,   524,  -851,  1326, -2054,  3324, -6328, 27878, 12228, -4766,  2732, -1731,  1120,  -710,   426,  -230,   103,   -30,     0},
  {     0,     0,    -6,    24,   -56,   108,  -183,   292,  -452,   706, -1190,  2628, 32453, -2242,  1088,  -658,   423,  -273,   170,   -99,    50,   -20,     4,     0},
  {     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0, 32767,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0},
  {     4,   -20,    50,   -99,   170,  -273,   423,  -658,  1088, -2242, 32453,  2628, -1190,   706,  -452,   292,  -183,   108,   -56,    24,    -6,     0,     0,     0},
  {   -30,   103,  -230,   426,  -710,  1120, -1731,  2732, -4766, 12228, 27878, -6328,  3324, -2054,  1326,  -851,   524,  -297,   145,   -53,     8,     0,     0,     0},
  {     4,   -20,    50,   -99,   170,  -273,   423,  -658,  1088, -2242, 32453,  2628, -1190,   706,  -452,   292,  -183,   108,   -56,    24,    -6,     0,     0,     0},
  {     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0, 32767,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0},
  {     0,     0,    -6,    24,   -56,   108,  -183,   292,  -452,   706, -1190,  2628, 32453, -2242,  1088,  -658,   423,  -273,   170,   -99,    50,   -20,     4,     0}
};

/* SYS_BF_ANGLE_M60 */
Fract sysBfFltM60[][SYS_BF_FILTER_LENGTH] = {
  {     0,     0,     6,   -32,    82,  -162,   280,  -451,   700, -1087,  1788, -3605, 31832,  4748, -2086,  1228,  -784,   507,  -319,   189,  -100,    42,   -11,     0},
  {     0,     8,   -54,   150,  -310,   548,  -893,  1392, -2155,  3478, -6563, 26879, 13643, -5179,  2952, -1868,  1209,  -767,   461,  -250,   113,   -34,     0,     0},
  {     8,   -54,   152,  -312,   554,  -902,  1407, -2178,  3513, -6613, 26596, 14027, -5285,  3007, -1902,  1231,  -782,   470,  -255,   116,   -35,     0,     0,     0},
  {   -25,    88,  -199,   371,  -621,   981, -1517,  2388, -4136, 10250, 29149, -5866,  3041, -1872,  1208,  -776,   479,  -273,   134,   -50,     8,     0,     0,     0},
  {   -11,    42,  -100,   189,  -319,   507,  -784,  1228, -2086,  4748, 31832, -3605,  1788, -1087,   700,  -451,   280,  -162,    82,   -32,     6,     0,     0,     0},
  {     0,   -34,   113,  -250,   461,  -767,  1209, -1868,  2952, -5179, 13643, 26879, -6563,  3478, -2155,  1392,  -893,   548,  -310,   150,   -54,     8,     0,     0},
  {     0,     0,   -35,   116,  -255,   470,  -782,  1231, -1902,  3007, -5285, 14027, 26596, -6613,  3513, -2178,  1407,  -902,   554,  -312,   152,   -54,     8,     0},
  {     0,     0,     8,   -50,   134,  -273,   479,  -776,  1208, -1872,  3041, -5866, 29149, 10250, -4136,  2388, -1517,   981,  -621,   371,  -199,    88,   -25,     0}
};

/* SYS_BF_ANGLE_M45 */
Fract sysBfFltM45[][SYS_BF_FILTER_LENGTH] = {
  {     0,     0,    -6,    24,   -56,   108,  -183,   292,  -452,   706, -1190,  2628, 32453, -2242,  1088,  -658,   423,  -273,   170,   -99,    50,   -20,     4,     0},
  {     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0, 32767,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0},
  {     4,   -20,    50,   -99,   170,  -273,   423,  -658,  1088, -2242, 32453,  2628, -1190,   706,  -452,   292,  -183,   108,   -56,    24,    -6,     0,     0,     0},
  {   -30,   103,  -230,   426,  -710,  1120, -1731,  2732, -4766, 12228, 27878, -6328,  3324, -2054,  1326,  -851,   524,  -297,   145,   -53,     8,     0,     0,     0},
  {     4,   -20,    50,   -99,   170,  -273,   423,  -658,  1088, -2242, 32453,  2628, -1190,   706,  -452,   292,  -183,   108,   -56,    24,    -6,     0,     0,     0},
  {     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0, 32767,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,     0},
  {     0,     0,    -6,    24,   -56,   108,  -183,   292,  -452,   706, -1190,  2628, 32453, -2242,  1088,  -658,   423,  -273,   170,   -99,    50,   -20,     4,     0},
  {     0,     0,     8,   -53,   145,  -297,   524,  -851,  1326, -2054,  3324, -6328, 27878, 12228, -4766,  2732, -1731,  1120,  -710,   426,  -230,   103,   -30,     0}
};

/* SYS_BF_ANGLE_M30 */
Fract sysBfFltM30[][SYS_BF_FILTER_LENGTH] = {
  {     0,     0,   -35,   116,  -255,   470,  -782,  1231, -1902,  3007, -5285, 14027, 26596, -6613,  3513, -2178,  1407,  -902,   554,  -312,   152,   -54,     8,     0},
  {     0,   -34,   113,  -250,   461,  -767,  1209, -1868,  2952, -5179, 13643, 26879, -6563,  3478, -2155,  1392,  -893,   548,  -310,   150,   -54,     8,     0,     0},
  {   -11,    42,  -100,   189,  -319,   507,  -784,  1228, -2086,  4748, 31832, -3605,  1788, -1087,   700,  -451,   280,  -162,    82,   -32,     6,     0,     0,     0},
  {   -25,    88,  -199,   371,  -621,   981, -1517,  2388, -4136, 10250, 29149, -5866,  3041, -1872,  1208,  -776,   479,  -273,   134,   -50,     8,     0,     0,     0},
  {     8,   -54,   152,  -312,   554,  -902,  1407, -2178,  3513, -6613, 26596, 14027, -5285,  3007, -1902,  1231,  -782,   470,  -255,   116,   -35,     0,     0,     0},
  {     0,     8,   -54,   150,  -310,   548,  -893,  1392, -2155,  3478, -6563, 26879, 13643, -5179,  2952, -1868,  1209,  -767,   461,  -250,   113,   -34,     0,     0},
  {     0,     0,     6,   -32,    82,  -162,   280,  -451,   700, -1087,  1788, -3605, 31832,  4748, -2086,  1228,  -784,   507,  -319,   189,  -100,    42,   -11,     0},
  {     0,     0,     8,   -50,   134,  -273,   479,  -776,  1208, -1872,  3041, -5866, 29149, 10250, -4136,  2388, -1517,   981,  -621,   371,  -199,    88,   -25,     0}
};

/* Table of all available filters */
Fract *sysBfFilters[SYS_BF_ANGLES_MAX] = {
  &sysBfFltP0[0][0],    /* SYS_BF_ANGLE_P0   */
  &sysBfFltP30[0][0],   /* SYS_BF_ANGLE_P30  */
  &sysBfFltP45[0][0],   /* SYS_BF_ANGLE_P45  */
  &sysBfFltP60[0][0],   /* SYS_BF_ANGLE_P60  */
  &sysBfFltP90[0][0],   /* SYS_BF_ANGLE_P90  */
  &sysBfFltP120[0][0],  /* SYS_BF_ANGLE_P120 */
  &sysBfFltP135[0][0],  /* SYS_BF_ANGLE_P130 */
  &sysBfFltP150[0][0],  /* SYS_BF_ANGLE_P150 */
  &sysBfFltP180[0][0],  /* SYS_BF_ANGLE_P180 */
  &sysBfFltM150[0][0],  /* SYS_BF_ANGLE_M150 */
  &sysBfFltM135[0][0],  /* SYS_BF_ANGLE_M135 */
  &sysBfFltM120[0][0],  /* SYS_BF_ANGLE_M120 */
  &sysBfFltM90[0][0],   /* SYS_BF_ANGLE_M90  */
  &sysBfFltM60[0][0],   /* SYS_BF_ANGLE_M60  */
  &sysBfFltM45[0][0],   /* SYS_BF_ANGLE_M45  */
  &sysBfFltM30[0][0]    /* SYS_BF_ANGLE_M30  */
};

/* nothing past this point */

